clear
close all

% load data
load mnistSubset.mat

% only consider digits 1 and 2 (labels 2 and 3)
K = 2;
Xtrain = [];
ytrain = [];
Xtest = [];
ytest = [];
for kk = 1:K
    Xk = X(:,trueLabels==kk+1);
    Xtrain = [Xtrain Xk(:,1:100)];
    Xtest = [Xtest Xk(:,101:end)];
    ytrain = [ytrain; kk*ones(100,1)];
    ytest = [ytest; kk*ones(100,1)];
end

% make labels +1/-1
ytrain = (2*(ytrain - 1) - 1);
ytest = (2*(ytest - 1) - 1);

%% YOUR CODE
% reduce dimension of data using PCA and plot

% train KRR classifier on (Xtrain,ytrain) and predict on (Xtest)

%% plot separator
%xx = linspace(min(Xtrain(1,:)),max(Xtrain(1,:)),100);
%yy = linspace(min(Xtrain(2,:)),max(Xtrain(2,:)),100);
%[XX,YY] = meshgrid(xx,yy);
%xx = [XX(:) YY(:)];
%[~,yy] = KRR(Xtrain',ytrain,lambda,sigma,xx);
%contour(XX,YY,reshape(yy,100,100),1)

% compute train and test error
