clear all
close all

rng(0);

% problem parameters
D = 500;
N = 200;
sig = 0.5;

% generate data
wtrue = zeros(D,1);
wtrue(21:60) = 1;
wtrue(161:200) = 3;
wtrue(201:250) = 5;
wtrue(321:360) = 2;
wtrue(401:430) = 3;

X = randn(N,D);
y = X*wtrue + sig*randn(N,1);

% plot true line
figure
stairs(wtrue,'linewidth',2)

%% Your TV regression code and plots go here
