import numpy as np
import matplotlib.pyplot as plt
#from tvADMM import tvADMM

np.random.seed(0)

# problem parameters
D = 500
N = 200
sig = 0.5

# generate data
wtrue = np.zeros(D)
wtrue[21:60] = 1
wtrue[161:200] = 3
wtrue[200:250] = 5
wtrue[321:360] = 2
wtrue[401:430] = 3

X = np.random.randn(N,D)
y = X @ wtrue + sig*np.random.randn(N)

# plot true line
plt.figure()
plt.plot(wtrue)
plt.show()

## Your TV regression code and plots go here
