function [what,cost] = tvADMM(X,y,lambda)
% Syntax:       what = tvADMM(X,y,lambda)
%               
% Inputs:       X is a (N x D) matrix whose rows are the measurement locations
%               
%               y is a vector of length N whose values are the measurement values
%
%               lambda is the TV regularization tuning parameter
%
% Outputs:      what is the vector of length D containing the approximate solution

[N,D] = size(X);

% algorithm parameters
rho = 1;
tol = 1e-4;
maxIter = 1000;

%% Your code starts here
for kk = 1:maxIter

    % calculate error
    cost(kk) = err;
    if err < tol
        break
    end
end
