import numpy as np
from numpy.linalg import norm
#from st import st

def tvADMM(X, y, lam):
    r"""
    Syntax:       what, cost = tvADMM(X, w, lam)

    Inputs:
    -------
        X is a (N x D) matrix whose rows are the measurement locations
       
        y is a vector of length N whose values are the measurement values

        lambda is the TV regularization tuning parameter

    Outputs:
    -------
        what is the vector of length D containing the approximate solution
    """

    # algorithm parameters
    rho = 1
    tol = 1e-4
    maxIter = 1000
    
    ## Your code starts here
    for kk in range(maxIter):

        # calculate error
        err = norm(w - wprev) / norm(w)
        cost[kk] = err
        if err < tol:
            break

    what = w
    return what, cost[:kk]
